Program Pack6;

Var
  p: packed array [ 1..4 ] of 0..3;
  u: array [ 1..4 ] of 0..3;
  i: Integer;

begin
  for i:= 1 to 4 do
    u [ i ]:= i - 1;
  pack ( u, 1, p );
  for i:= 1 to 4 do
    if p [ i ] <> i - 1 then
      write ( 'failed: p', i, '=', p [ i ], '; ' );
  writeln ( 'OK' );
end.
